Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Oct 2019 21:18:06 +0300

>> Here's an edited image to demonstrate an ideal look of such background faces
>> (note how the mode-line is wider, and blocks are narrower than window width):
>
> I like the unedited example a bit more, especially if we're talking about side by side diffs, like ediff.

I agree that in side by side ediffs, face background colors should
extend to the window edge, to better match diff colors between windows.

> I think that this may be controlled by a variable named something like `trim-eol-face-at-fill-column'

Or with an optional value for the face attribute, e.g. :extend 'column.
But this is an additional feature.  The main task is to get background colors back
to extend to the window edge.